Page MenuHomeFreeBSD

ctl_backend_block: Add support for NVMe
ClosedPublic

Authored by jhb on Apr 9 2024, 11:04 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jun 13, 6:27 PM
Unknown Object (File)
Mon, May 27, 2:11 AM
Unknown Object (File)
May 17 2024, 1:37 AM
Unknown Object (File)
May 4 2024, 6:38 PM
Unknown Object (File)
May 4 2024, 2:22 AM
Unknown Object (File)
Apr 28 2024, 10:24 AM
Unknown Object (File)
Apr 26 2024, 4:59 AM
Unknown Object (File)
Apr 25 2024, 7:30 PM
Subscribers
None

Details

Summary

Sponsored by: Chelsio Communications

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jhb requested review of this revision.Apr 9 2024, 11:04 PM

this again seems a mix of accesor changes and and real changes... likely not a problem, but the former is easier to review when segregated.

This revision is now accepted and ready to land.Apr 13 2024, 8:34 PM

Hmm, I could split the ramdisk/block backends into one to use the accessors and generic error handlers and a second to add the NVME opcode handling.

Update after splitting into 2 commits

This revision now requires review to proceed.Apr 18 2024, 5:58 PM

Update for CTL_IO_ASSERT macro

This revision was not accepted when it landed; it landed in state Needs Review.May 3 2024, 12:17 AM
This revision was automatically updated to reflect the committed changes.